FROM python:3

RUN useradd --system --gid root --uid 1001 uwsgi
RUN pip install uwsgi psycopg2_binary Flask Flask-Admin Flask-SQLAlchemy Flask-Bcrypt \
        Flask-Security-Too bcrypt email_validator pyyaml rst2html
RUN mkdir -p /app
WORKDIR /app
COPY . /app

EXPOSE 3031
CMD ["uwsgi", "--master", "--workers", "4", "--socket", "0.0.0.0:3031", "--protocol", "uwsgi", \
     "--plugin", "python3", "--uid", "uwsgi", "--wsgi", "libertywiki.wsgi"]
